import { defineComponent, openBlock, createElementBlock, toDisplayString, computed, normalizeClass, createCommentVNode, createElementVNode } from 'vue';

var script$1 = defineComponent({
  name: 'UILabel',
  props: {
    text: {
      type: String,
      required: true
    }
  }
});

const _hoisted_1$1 = {
  class: "label"
};
function render$1(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("span", _hoisted_1$1, toDisplayString(_ctx.text), 1);
}

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = ".label {\n  color: #cc0000;\n}";
styleInject(css_248z);

script$1.render = render$1;

var script = defineComponent({
  name: 'UIInputText',
  props: {
    label: {
      type: String,
      default: undefined
    },
    name: {
      type: String,
      default: ''
    },
    modelValue: {
      type: String,
      default: ''
    },
    placeholder: {
      type: String,
      default: undefined
    },
    labelHidden: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    autocomplete: {
      type: Boolean,
      default: false
    }
  },
  emits: ['update:modelValue'],

  setup(props, _ref) {
    let {
      emit
    } = _ref;
    const autocompleteComp = computed(() => props.autocomplete ? 'on' : 'off');

    function onChangeInput(event) {
      const target = event.target;
      emit('update:modelValue', target.value);
    }

    return {
      autocompleteComp,
      onChangeInput
    };
  }

});

const _hoisted_1 = {
  class: "input-text"
};
const _hoisted_2 = ["for"];
const _hoisted_3 = ["id", "name", "value", "placeholder", "autocomplete", "disabled"];
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", _hoisted_1, [_ctx.label ? (openBlock(), createElementBlock("label", {
    key: 0,
    class: normalizeClass(["input-text__label", [{
      'sr-only': _ctx.labelHidden
    }]]),
    for: _ctx.name
  }, toDisplayString(_ctx.label), 11, _hoisted_2)) : createCommentVNode("", true), createElementVNode("input", {
    class: "input-text__field",
    type: "text",
    id: _ctx.name,
    name: _ctx.name,
    value: _ctx.modelValue,
    placeholder: _ctx.placeholder,
    autocomplete: _ctx.autocompleteComp,
    disabled: _ctx.disabled,
    onInput: _cache[0] || (_cache[0] = function () {
      return _ctx.onChangeInput && _ctx.onChangeInput(...arguments);
    })
  }, null, 40, _hoisted_3)]);
}

script.render = render;

/* eslint-disable import/prefer-default-export */

var components = /*#__PURE__*/Object.freeze({
  __proto__: null,
  UILabel: script$1,
  UIInputText: script
});

// Import vue components

const install = function installVueComponentsUi(app) {
  Object.entries(components).forEach(_ref => {
    let [componentName, component] = _ref;
    app.component(componentName, component);
  });
}; // Create module definition for Vue.use()

export { script as UIInputText, script$1 as UILabel, install as default };
